#!/usr/bin/env python
import math
def utmzone_BROKEN(lon, lat):
    """ What utm zone are we in?

    lon - longitude in decimal degrees +/- 180
    lat - latitude in decimal degrees

    http://www.dmap.co.uk/utmworld.htm

    NOT WORKING YET
    """

    # No zones I or O
    yzones = ['c','d','e','f','g', 'h','j','k','l', 'm','n','p','q','r', 's','t','u','v','w','x']

    #import pdb
    #pdb.set_trace()

    xzone = None
    if lon < 0:
        xzone = int(math.floor(((lon+360)/6.) - 29))
    else:
        xzoneF = lon / 6. + 30
        xzone = int(math.floor(xzoneF))

    yzone = None
    if lat > 72 and lat <= 84:
        yzone = yzones[-1] # x
    elif lat > -80:
        indexf = math.floor(lat / 8 + 10)
        index = int(indexf)
        yzone = yzones[index]

    return xzone, yzone

# print '31N',utmzone(.1,.1)
# print '31N',utmzone(5.9,8)
# print

# print '60X',utmzone(174.1,72.1)
# print '60X',utmzone(179.9,83.9)
# print

# print '10S FIX!',utmzone(-124.45335667,40.9834167)
# print '11S',utmzone(-119,40.1)
# print ' 9S',utmzone(-126.1,40.1)
# print

# print ' 1C',utmzone(-179,-79.9)
# print ' 1C',utmzone(-179,-72.1)
# print

# print ' 1E',utmzone(-179,-63.9)
# print ' 1E',utmzone(-179,-56.1)
# print

# print ' 1E',utmzone(-179,-63.9)
# print ' 1E',utmzone(-179,-56.1)
# print

# print ' 1K',utmzone(-179,-16.1)
# print ' 1K',utmzone(-179,-23.9)
# print

# print ' 1N',utmzone(-179,2)
# print ' 1P',utmzone(-179,10)
# print ' 1Q',utmzone(-179,17)
# print ' 1Q',utmzone(-179,23)

